using SqlSugar;
using System;

namespace DeviceRepair.Models.DeviceMaintenance
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("DeviceWarrantyRequestForm")]
    public class DeviceWarrantyRequestFormInfo
    {
        /// <summary>
        /// 主键编号 
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 唯一编号 
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid Guid { get; set; }

        /// <summary>
        /// 设备表主键编号 
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentPK")]
        public int EquipmentPK { get; set; }

        /// <summary>
        /// 设备编号 
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称 
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 发生地点 
        ///</summary>
        [SugarColumn(ColumnName = "Location")]
        public int Location { get; set; }

        /// <summary>
        /// 发生地点 
        ///</summary>
        [SugarColumn(ColumnName = "LocationName")]
        public string LocationName { get; set; }

        [SugarColumn(ColumnName = "LocationGuid")]
        public Guid LocationGuid { get; set; }

        /// <summary>
        /// 是否有在途生产单 
        ///</summary>
        [SugarColumn(ColumnName = "InProduction")]
        public bool InProduction { get; set; }

        /// <summary>
        /// 批次号 
        ///</summary>
        [SugarColumn(ColumnName = "Batch")]
        public string Batch { get; set; }

        /// <summary>
        /// 故障现象 
        ///</summary>
        [SugarColumn(ColumnName = "FaultSymptoms")]
        public string FaultSymptoms { get; set; }

        /// <summary>
        /// 设备设施部 
        /// 默认值: (N'设备设施部')
        ///</summary>
        [SugarColumn(ColumnName = "ReceivingDep")]
        public string ReceivingDep { get; set; }

        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "IsDown")]
        public bool? IsDown { get; set; }

        /// <summary>
        /// 表单版本号 
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "FormVer")]
        public int? FormVer { get; set; }

        /// <summary>
        /// 申请时间 
        ///</summary>
        [SugarColumn(ColumnName = "CreatOn")]
        public DateTime? CreatOn { get; set; }

        /// <summary>
        /// 申请人 
        ///</summary>
        [SugarColumn(ColumnName = "CreatBy")]
        public int? CreatBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatorName")]
        public string CreatorName { get; set; }

        /// <summary>
        /// 修改时间 
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        /// 修改人 
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public int? ModifyBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyUserName")]
        public string ModifyUserName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RestorationConfirmationOn")]
        public DateTime? RestorationConfirmationOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RestorationConfirmationBy")]
        public int? RestorationConfirmationBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RestorationConfirmationOnName")]
        public string RestorationConfirmationOnName { get; set; }

    }
}
